Skip to content

Google AI 概览 API

prod-global
GET
/api/v1/google/ai-overview
API 健康状态
健康 可用 受限 大多不可用 无数据
正在加载健康状态...

获取Google AI概览数据,包括生成的摘要和引用的来源,用于生成式搜索可见性跟踪。

标签: Google AI

请求参数

名称必填类型默认值说明
urlstringGoogle 用于访问 AI 概览的唯一 URL。该 URL 通常从 Google 搜索 API 响应的 'ai_overview_url' 字段中提取。注意:此 URL 是临时的,通常会在 2 分钟内过期。

复制请求

bash
curl -X GET "https://api.justserpapi.com/api/v1/google/ai-overview?url=YOUR_VALUE" \
  -H "X-API-Key: YOUR_API_KEY"
js
const res = await fetch("https://api.justserpapi.com/api/v1/google/ai-overview?url=YOUR_VALUE", {
  headers: { "X-API-Key": "YOUR_API_KEY" }
});
const data = await res.json();
console.log(data);
python
import requests

url = "https://api.justserpapi.com/api/v1/google/ai-overview"
headers = { "X-API-Key": "YOUR_API_KEY" }
params = {
  "url": "YOUR_VALUE"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())
php
<?php
$url = "https://api.justserpapi.com/api/v1/google/ai-overview?url=YOUR_VALUE";
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    "X-API-Key: YOUR_API_KEY"
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
go
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	client := &http.Client{}
	req, _ := http.NewRequest("GET", "https://api.justserpapi.com/api/v1/google/ai-overview?url=YOUR_VALUE", nil)
	req.Header.Set("X-API-Key", "YOUR_API_KEY")
	resp, _ := client.Do(req)
	defer resp.Body.Close()
	body, _ := io.ReadAll(resp.Body)
	fmt.Println(string(body))
}

响应

正在加载最新响应示例...